%{
/* In der Vorlesung am 17.12.2007 gemeinsam erstellte Loesung fuer die
 * konfliktfreie Erkennung von Minus-Ausdruecken mit lex und yacc.
 */
#include "expr-minus-ok2.tab.h"
%}
%option noyywrap
%option nodefault
%%
"-"                     { return *yytext; }
[[:alpha:]][[:alnum:]]* { return ID; }
[ \t]+                  /* ueberspringe White-Space */
\n                      { return 0; /* Nur eine Zeile lesen. */ }
.                       { return ILLEGAL_CHAR; }
